Subject: Re: bug#36836: Tmux and Focus-In Events

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 26 Nov 2020 12:53:43 +0100

Gustaf Waldemarson <[email-masked]> writes:

> Using Emacs 27 and tmux 2.1: If you start tmux with the option `tmux set-option
> -g focus-events on` enabled and then inside tmux start an emacsclient, e.g.,
> via:
>
> ```
> emacs -Q --daemon=test && emacsclient --socket-name=test ."
> ```
>
> Then Emacs starts and unexpectedly inserts the characters "[I]" in the buffer
> that is opened. This only seem to happen the first time the client is started.

(This bug report unfortunately got no response at the time.)

I seem to recall a similar bug that was worked on recently in the
development version of Emacs, but I can't find it now.  Would it be
possibly for you to try the development version and see whether this bug
is still present there?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no